## calypso.util
Class ListenerListState

    java.lang.Object
      |
      +--calypso.util.ListenerListState

public class ListenerListState
extends java.lang.Object

ListenersListState keeps the index into the array of listeners for the ListListeners class.

Because a state is created every time event dispatching occurs instances of this class act like local references into the array and hence are thread-safe.

This class does not expose any behavior and is entirely for use by the ListenerList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`